%def_disable static

Name: libtunepimp
Version: 0.3.0
Release: alt0.1.M24

Group: System/Libraries
Summary: Library that Provides Access to the MusicBrainz Server
License: LGPL

Url: http://www.musicbrainz.org/

Source: ftp://ftp.musicbrainz.org/pub/musicbrainz/%name-%version.tar.gz
Patch: %name-0.3.0-xbrowser.patch

# Automatically added by buildreq on Wed Oct 20 2004 (-bi)
#BuildRequires: gcc-c++ gcc-g77 libflac-devel libmad-devel libmusicbrainz-devel libogg-devel libreadline-devel libstdc++-devel libvorbis-devel python-base python-modules-compiler python-modules-encodings rpm-build-python zlib-devel
BuildRequires: gcc-c++ libflac-devel libmad-devel libmusicbrainz-devel
BuildRequires: libogg-devel libreadline-devel libstdc++-devel
BuildRequires: libvorbis-devel zlib-devel

%description
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable Audio CD and MP3/Vorbis players to download
metadata about the music they are playing.

The TunePimp library (also referred to as libtunepimp) is a development
library geared towards developers who wish to create MusicBrainz enabled
tagging applications.

%package devel
Summary: Include Files and Libraries mandatory for Development
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require TunePimp library.

%package utils
Summary: TRM Generator
Group: Sound
License: GPL
Requires: %name = %version-%release
Provides: tp_tagger = %version-%release
Obsoletes: tp_tagger < %version-%release
Provides: trm = %version-%release
Obsoletes: trm < %version-%release

%description utils
The TRM Generator is a small test application that generates Relatable
TRM acoustic fingerprints. This tool is mainly designed
as a test/debugging tool for software developers.

%prep
%setup -q
%patch -p1
%__subst s/-ltermcap//g configure*

%__libtoolize --copy --force
%__aclocal
%__automake
%__autoconf

%build
%configure \
    %{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__rm -f examples/Makefile.in

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog README* TODO

%files devel
%_includedir/tunepimp
%_libdir/*.so
%doc examples

%files utils
%_bindir/trm
%_bindir/tp_tagger

%changelog
* Tue Jan 04 2005 ZerG <zerg@altlinux.ru> 0.3.0-alt0.1.M24
- build for Master-2.4

* Thu Oct 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- First build for Sisyphus.

